[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TDisplayOptions

Set type used to store TDisplayOption enumeration values.

## Declaration

Source position: valedit.pas line 107

`type TDisplayOptions = set of (`
`doColumnTitles,` |  | Displays column titles.
`doAutoColResize,` |  | Automatically resizes columns to the width of its content.
`doKeyColFixed` |  | Displays the Key names column as a fixed caption column.
`);`

## Description

TDisplayOptions is a set type used to store values from the TDisplayOption enumeration. TDisplayOptions is the type used for the TValueListEditor.DisplayOptions property.

## See also

TDisplayOption |  | Represents display capabilities in TValueListEditor.
TValueListEditor.DisplayOptions |  | Enables or disables display features and behaviors in the control.